Vue d'ensemble

Configurateur du Guide
des métiers de l'électrotechnique
Aperçu général de la fenêtre principale
(cliquez sur les icône pour vous rendre à l'aide correspondant)
Sauvegarder la configuration en cours. Charger une configuration existante Tout désélectionner dans la page. Voir la configuration en cours. Gestion des favoris. Tout sélectionner dans la page. Configuration poste en réseau. Gestion des favoris. Voir la configuration en cours.
Cette colonne comporte la liste de tous les chapitres disponibles dans le Guide des métiers de l'électrotechnique. Cette fenêtre comporte, par chapitre, la liste de toutes les pages. Chaque case cochée indique que la page est accessible. En décochant la case, la page est immédiatement désactivée. Dans cette colonne, un rapide commentaire permet de connaître le contenu d'un page.


Établir une configuration

Pour établir une nouvelle configuration, il est conseillé d'ouvrir une configuration vide (dans le menu fichier ou grâceà l'icône "ouvrir").
Dans la colonne chapitre, sélectionner le chapitre qui vous intéresse. La fenêtre des cases à cocher est alors mise à jour avec la liste de toutes les fiches concernant ce chapitre.
En cliquant sur une fiche, la colonne de gauche affiche un rapide commentaire sur la fiche sélectionnée.

Pour tout sélectionner dans un chapitre, vous pouvez utiliser l'icône :

Pour tout désélectionner dans un chapitre, vous pouvez utiliser l'icône :

Attention : la configuration du Guide des métiers de l'électrotechnique est immédiatement effective sans avoir à faire de sauvegarde.
Dans la partie inférieur de la fenêtre, la ligne "configuration en cours" vous indique le nom de la configuration ou son état. Dés que vous commencez une nouvelle configuration, il est rappelé qu'elle n'est pas sauvegardée (tout en étant active).
Charger une configuration Sauvegarder une configuration Modifier toutes les pages d'un chapitre Voir la configuration en cours Favoris Configuration réseau


Modifier 1 page

Modifier globalement un chapitre
Ces deux icônes permettent de gagner du temps en activant ou désactivant des pages par lots.
Pour tout sélectionner dans un chapitre, vous pouvez utiliser l'icône :
Pour tout désélectionner dans un chapitre, vous pouvez utiliser l'icône :
 | retour vers la page sur la création d'une configuration...
Sauver une configuration Voir la configuration en cours Configuration en réseau Charger une configuration Favoris


Visualiser

Visualiser une configuration
Cette icône permet d'afficher la liste de toutes les fiches actives d'une configuration en cours.
Wordpad est ouvert et le fichier généré est au format RTF. Les têtes de chapitre sont en gras et les fiches sont regroupées par chapitre. Seuls les chapitres concernés apparaissent.
Ce document peut être édité, sauvegardé et imprimé (fonctions de Wordpad).
Sauver une configuration Modifier toutes les pages d'un chapitre Charger une configuration Configuration en réseau Favoris


Sauver

Sauvegarder une configuration
En cliquant sur l'icône de sauvegarde, une première fenêtre de dialogue s'ouvre.
A vous d'y saisir le nom descriptif de la configuration que vous venez de créer.
Limitez-vous à une courte phrase.
Cliquer sur OK.
Le fenêtre d'enregistrement s'ouvre et propose par défaut pour nom de fichier le descriptif de la configuration.
Vous pouvez choisir un nom plus simple et plus court à votre convenance.
La configuration sera enregistrée avec l'extension .cfg.
Dés que la sauvegarde est effectuée, la fenêtre principale du Configurateur affiche la description que vous avez choisie.
Cette information est maintenue tant que vous ne ferez pas de modification.
Charger une configuration Modifier toutes les pages d'un chapitre Voir la configuration en cours Configuration en réseau Favoris


Charger

Charger une configuration

Une fonction utile du Configurateur est de pouvoir enregistrer diverses configurations pour pouvoir les rappeler et les mettre en service très rapidement. L'ensemble des commandes accessibles par l'icône charger (ou dans le menu "Fichier" permet de mettre en place rapidement une configuration existant sur le disque.

Ouvrir une configuration vide : désactiver la totalité des fiches du Guide des métiers de l'électrotechnique (ce qui est très utile pour préparer une nouvelle configuration qui contiendra peu de fiches).

Ouvrir une configuration complète : activer la totalité des fiches du Guide des métiers de l'électrotechnique. C'est une option très utile pour remettre le Guide dans la situation de départ.

Ouvrir une configuration : ouvrir une configuration qui a été précédemment sauvegardée.

.

Sauver une configuration Modifier toutes les pages d'un chapitre Voir la configuration en cours Configuration en réseau Favoris


Réseau

Configurer un poste en réseau

La configuration d'un poste en réseau est une fonctionnalité intéressante si l'on veut que chaque étudiant dispose de sa propre configuration. Il est ainsi possible d'individualiser totalement le travail de chaque utilisateur.

Au préalable, il faut avoir installé le Guide des Automatismes sans le configurateur sur chaque poste élève et le Guide des métiers de l'électrotechnique avec le configurateur sur le poste de l'enseignant. Cette possibilité est offerte lors de l'installation du Guide.

1- Sur chaque poste élève, partager le répertoire d'installation du Guide des métiers de l'électrotechnique, en principe : "c:\program Files\Guide des ..." en donnant à l'enseignant des droits de modifications (gestion des droits liés aux profils d'utilisateurs... pour plus d'information, contactez votre administrateur réseau).

Attention : dans toutes les illustrations suivantes, remplacer "Guide des automatismes" par "Guide des métiers de l'électrotechnique"

Méthode sous windows XP et 2000 :
Sélectionner le répertoire où est installé le guide et choisir la commande "Partage et sécurité..."

Valider le partage et nommer ce partage pour le retrouver plus facilement dans l'explorateur.

Puis cliquer sur "Autorisation" pour définir l'utilisateur qui aura les droits de configuration.

 | Cliquer sur "Ajouter..." afin d'ajouter les utilisateurs autorisés. Une fenêtre de recherche va être ouverte qui vous permet de désigner les utilisateurs déjà présents dans l'annuaire.
 | Il faut donner le contrôle total sur le partage aux utilisateurs qui configureront le Guide des métiers de l'électrotechnique. Fermer ensuite toutes les fenêtres.
2- Configuration à distance, depuis le poste de l'enseignant.
 | Cliquer sur l'icône : Dans la fenêtre d'explorateur qui s'ouvre alors, rechercher dans le réseau ou les favoris réseau le poste élève et le partage que vous souhaitez configurer.
La première fois que vous vous connectez à un poste distant, le configurateur vous propose de transférer les fichiers nécessaires. Acceptez pour pouvoir continuer.
Le fenêtre de message suivante est là uniquement pour vous rappeler que si les poste élève ne contient pas la même version que le poste de l'enseignant, le configurateur risque de proposer des pages qui n'existent pas sur le poste distant. Cependant, l'ensemble fonctionnera cependant sans problème.
La fenêtre principale du configurateur vous rappelle que vous travaillez maintenant en mode distant. Toutes les modifications (application de favoris, configuration complète ou vide...) s'appliquent au poste distant et non plus au poste local.
3- Revenir en mode local
On peut revenir immédiatement en mode local sans rechercher le poste de l'enseignant dans l'explorateur en utilisant la commande "Mode local" du sous menu de l'icône. |

Charger une configuration Sauvegarder une configuration Modifier toutes les pages d'un chapitre Voir la configuration en cours Favoris


Favoris
La notion de favoris est une amélioration importante de la version 4 du configurateur. Dorénavant, vous disposez de 5 boutons de favoris configurables à volonté. Chaque bouton peut correspondre à une configuration type et il suffit de cliquer sur le bouton correspondant pour rendre immédiatement effective la nouvelle configuration.
1- Éditer les favoris (dans le menu "Favoris")
 | Sélectionner "Éditer" dans le menu "Favoris"
Cliquer sur l'icône du favori numéroté que vous souhaitez utiliser. Une fenêtre d'exploration s'ouvre pour que vous choisissiez la configuration à affecter à ce bouton.
L'icône [image] permet de supprimer le favoris affecté.
2- Utiliser les favoris
 | Cliquer sur l'un des boutons pour mettre en place immédiatement une nouvelle configuration (le titre de la configuration s'affiche en survolant les boutons).
Sauver une configuration Modifier toutes les pages d'un chapitre Voir la configuration en cours Configuration en réseau Charger une configuration


Importer

Charger une configuration Sauvegarder une configuration Modifier toutes les pages d'un chapitre Voir la configuration en cours Favoris Configuration réseau
Importer une configuration

Dans le menu "Fichier", en plus des commande "Charger une configuration", "Enregistrer sous...", "Changer la cible" se trouve une commande qui peut être utile à tous ceux qui ont préparé des configurations sous les précédentes versions du configurateur (versions 1.x, 2.x ou 3.x).

Une fenêtre vous demande de choisir la configuration à importer (elle porte l'extension .gda).

Elle sera automatiquement et immédiatement effective et enregistrée sous le nouveau format (extension .cfg) compatible avec la version 4.x du configurateur.

A l'issue de l'importation, l'ancienne configuration peut être effacée.

Attention : bien entendu, seules les fiches qui étaient autorisées sont activées lors de l'importation. Si de nouvelles pages ont été ajoutées au Guide des automatismes (nouvelle version ou service pack), elles ne sont pas activées.


Entree

Configurateur du Guide des métiers de l'électrotechnique
 | Le configurateur du Guide des métiers de l'électrotechnique est un logiciel permettant de définir les pages autorisées à la consultation et de créer des configurations pour chaque utilisation du Guide.
 | Vue d'ensemble du configurateur ...
Site de l'éditeur - Pos Industry |